<script lang="ts" setup>
/**
 * This varies from CommonCustomerLogos due to the sizing of text and the logo images themselves, which is unique to the Software Faster and Faster Together pages
 */

import type { BaseImage } from '@/types/base';

type CustomerLogosProps = {
  title?: {
    text: string;
  };
  aos?: {
    config: {
      dataAos: string;
      duration: string;
      offset: string;
    };
  };
  logos: BaseImage[];
};

defineProps<CustomerLogosProps>();
</script>

<template>
  <section>
    <SlpContainer>
      <section class="customer-logos">
        <div
          class="customer-logos__companies slp-flex"
          :data-aos="aos?.config.dataAos ? aos?.config.dataAos : ''"
          :data-aos-duration="aos?.config.duration ? aos?.config.duration : ''"
          :data-aos-offset="aos?.config.offset ? aos?.config.offset : ''"
        >
          <SlpTypography v-if="title" tag="h2" variant="heading5" class="slp-my-24 customer-logos__trusted-by">
            {{ title.text }}
          </SlpTypography>
          <a
            v-for="logo in logos"
            :id="logo.altText"
            :key="logo.altText"
            class="logo"
            :href="logo.config.href"
            :data-ga-name="logo.config.dataGaName || logo.altText.toLowerCase()"
            :data-ga-location="logo.config.dataGaLocation || 'body'"
          >
            <NuxtImg :id="logo.altText" :src="logo.config.src" :alt="logo.altText" loading="lazy" />
          </a>
        </div>
      </section>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.customer-logos {
  margin: $spacing-64 0;
  max-width: $breakpoint-xl;

  &__trusted-by {
    max-width: 140px;
    @media (max-width: $breakpoint-md) {
      text-align: center;
      width: 100%;
    }
  }
  &__companies {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
    position: relative;

    a {
      width: 140px;
      margin: $spacing-8;
      text-align: center;

      @media (max-width: $breakpoint-md) {
        min-width: 140px;
      }

      img {
        max-width: 100%;
        max-height: 60px;
      }
    }

    @media (max-width: $breakpoint-md) {
      justify-content: space-around;
      a {
        width: 100px;
      }
    }
  }

  @media (max-width: $breakpoint-md) {
    margin: $spacing-24 0 $spacing-48 0;

    .title {
      text-align: center;
      margin-top: $spacing-96;
    }
  }
}
</style>
